org.apache.maven.artifact.resolver.filter

## Class ScopeArtifactFilter

- java.lang.Object
- - org.apache.maven.artifact.resolver.filter.ScopeArtifactFilter

All Implemented Interfaces:
  ArtifactFilter

    public class ScopeArtifactFilter
    extends java.lang.Object
    implements ArtifactFilter

Filter to only retain objects in the given scope or better.

Version:
  $Id: ScopeArtifactFilter.java 495147 2007-01-11 07:47:53Z jvanzyl $
Author:
  Brett Porter

### Constructor Summary

Constructors
Constructor and Description
`ScopeArtifactFilter(java.lang.String scope)`

### Method Summary

Methods
`boolean` `include(Artifact artifact)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ScopeArtifactFilter

    public ScopeArtifactFilter(java.lang.String scope)

### Method Detail

#### include

    public boolean include(Artifact artifact)

Specified by:
  `include` in interface `ArtifactFilter`